扫一扫,访问微社区

QQ登录

只需一步,快速开始

登录 | 注册 | 找回密码

三维网

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

展开

通知     

全站
9天前
系统
11天前
查看: 50165|回复: 255
收起左侧

[原创] autocad二次开发(VBA)就这么简单

[复制链接]
发表于 2007-1-8 14:31:16 | 显示全部楼层 |阅读模式

马上注册,结识高手,享用更多资源,轻松玩转三维网社区。

您需要 登录 才可以下载或查看,没有帐号?注册

x
运行autocad,创建一个新文件,Alt+F11(或者在菜单栏点“工具”→“宏”→“Visual Basic 编辑器”),在新出现的窗口菜单栏点“插入”→“模块”,输入下面的代码:6 O. x6 k4 }5 s2 }0 e( n
) Z  f% P% Z+ Z( h
Sub 我的第一个程序()+ @/ Z0 L4 L1 I" m- v
    Dim 直线1 As AcadLine
+ i6 E9 q3 @: r/ ]( ?    Dim 起点(2) As Double- Y- s: p1 }. i  n! [+ q* Z/ u. G
    Dim 端点(2) As Double
( R7 y% ]! B. O. h   
3 W8 ?  o% m8 F) g5 ~% L1 t6 X$ ]    起点(0) = 10
0 P! t. M5 S) \# K  [: Q    起点(1) = 20
( I3 F) m1 B! l$ M* r3 Z    端点(0) = 80* l6 P# o) U* l  o; |5 T, k6 I
    端点(1) = 100
! e$ }1 _" J3 v+ D0 ]% s   
# ~4 r8 k  ?: P) G7 a3 P    Set 直线1 = ThisDrawing.ModelSpace.AddLine(起点, 端点)' k( U5 c1 l7 D
End Sub- P6 b1 Y# `8 ^2 M3 M8 q

  g* @5 C4 n6 K检查一下,确信没有问题后按F5
; y, |2 p" Y2 k, P回到autocad窗口,看见了吗?一条直线,起点坐标(10,20),端点坐标(80,100). }8 x( W5 ?5 A3 b$ ~" @

4 Q# y" L! X# e. ~: |# N& W这个程序的第一行里,“SUB”和“()”是必须有的(人家微软就是这么规定的,我也没办法),“我的第一个程序”是这个程序的名字(如果你不喜欢也可以改个别的名字,我无所谓)。
- X& B( m( C; N) M4 T第二行里,“Dim”是定义一个变量,“直线1”是要画的直线的名字(随便改,中英文都行),后面的英文必须有,意思是说:这是一条autocad直线。
5 c9 N- {8 k6 L2 m% V$ T1 s第三行里,“起点(2)”是一个数组(因为我要用它给直线赋予起点,所以取了个直观的名字,又因为点的坐标是三维的,所以必须用能容纳三个数据的数组),后面的英文意思是“这个数据是双精度类型”。$ n, v  E, N! T
第四行和第三行差不多,是用来给直线赋予端点的。
8 u: w, j2 Q+ @; Q. u; Y1 O第五行和第六行是分别赋值给起点的x和y坐标(因为起点的z坐标是0,而定义这个数组的时候,默认数据就是(0,0,0),所以就不用管z坐标了)。5 F1 V5 C7 }, A2 x4 w" S  ~
第七行、第八行赋值给端点x和y坐标。
+ x1 x+ _  g; m1 b6 o' i8 {第九行画直线,在“当前文件”的“模型空间”“画直线(按起点和端点)”。- i: {: c3 _" e1 d
第十行,完事了。
9 e8 q! d  ]* B2 F8 `. c- h* b/ C
, V4 z* S- ]  f9 j7 R1 ]有的网友一看见英文,头就会变大。别怕,如果你是用“复制/粘贴”把这段代码拷贝到VB编辑器里,就不会知道autocad有多么友善。试试用键盘把这段代码输入进去,你会发现,每到关键时刻,VBA就会提醒你下面该做什么了。1 O7 k6 x6 M" K
别听旁人瞎说autocad这不行、那不行,那是因为autocad的两个万能命令(一个是VBA,一个是lisp)你还没学会。这两个命令你只要学会一个(不用太精通,差不多就行),就没人敢说你不是高手。

评分

参与人数 1三维币 +3 收起 理由
blackbird + 3

查看全部评分

发表于 2007-1-8 18:55:51 | 显示全部楼层
赞成楼主的观点!学习的敌人就是畏惧!
发表于 2007-1-8 20:32:00 | 显示全部楼层
看来真的是比较容易,该找本书看目的地。
发表于 2007-1-9 08:15:02 | 显示全部楼层
既然楼主说这么容易,那我就试试吧
发表于 2007-1-9 08:40:35 | 显示全部楼层
增加我的学习信心,谢谢你啊,楼主
发表于 2007-1-9 08:49:13 | 显示全部楼层
为了更好的利用CAD工具,听从楼主的意见。学习一下干净二次开发知识。
 楼主| 发表于 2007-1-9 10:11:33 | 显示全部楼层
既然有网友对这个话题感兴趣,就再画个圆玩玩。
# e- F3 S( q' x7 e! E
) G( R5 `* ?6 P4 ^( USub 画个圆玩玩()" }3 ^  h+ i/ s5 d5 E6 S0 d* Q% I
    Dim 我真的是圆吗 As AcadCircle
/ G; l/ h9 f4 C: ^5 D& F    Dim 我才是圆心呵呵(2) As Double
# h& M1 N+ \: ^  w( k: {    Dim 我是半径我愿意 As Double
6 k! c# j- n! J/ p    我才是圆心呵呵(0) = 27.5555555555556  W1 |4 S! A  `  l' Y$ E
    我才是圆心呵呵(1) = 69.12345678798$ r- s$ @" O1 _3 O5 M% G
    我是半径我愿意 = 38
3 @; \2 i8 n5 D+ T    Set 我真的是圆吗 = ThisDrawing.ModelSpace.AddCircle(我才是圆心呵呵, 我是半径我愿意)2 e: Z/ f# d# x6 U# S+ h
End Sub7 z  y7 M* G- a1 Y  K+ O$ m

7 B* F8 T/ r( w9 D用键盘输入时,第一行输入完程序名直接按回车,不用输入“()”,VBA会替你把括号和最后一行填好的。其它的关键字也用不着每个字母都用键盘敲,自己试。, ]5 H+ L5 E' v/ z$ e9 o
% K! k) f4 ^3 s: `7 N+ z$ U3 q. G
[ 本帖最后由 woaishuijia 于 2007-1-9 10:20 编辑 ]
发表于 2007-1-9 10:34:14 | 显示全部楼层
还是不会哦
$ I4 t" t% j# a/ @郁闷,有高手教教我吗/?想学学.
发表于 2007-1-13 13:34:57 | 显示全部楼层

我想学cad二次开发

我想学习一下cad的基本的二次开发,不知道哪位高手能交一下我啊
7 c1 _$ [. v1 y) C, _$ `我的qq是125720096,谢谢啦
发表于 2007-1-13 21:41:24 | 显示全部楼层
谢谢搂主,真的想在这方面学的深刻一点
 楼主| 发表于 2007-1-14 16:12:29 | 显示全部楼层

AAA

有了autocad基础,学习它的VBA并不难,关键是要找准突破口。下面是根据在下的学习经验编写的一个自认为有代表性的简单程序,只要你按步骤做下来,就会发现你已经进入了VBA的天地。
0 S2 j/ a; @$ A" v' Y' T    首先,在autocad上创建一个新文件,按Alt+F11进入Visual Basic编辑器。1 A/ y- @, @. m+ M
    下面这项工作是我强烈建议你做的:在菜单栏点“工具”→“选项”,在选项窗口选中“要求变量声明”--这可以减少我们的低级错误。
0 i8 c& p1 O8 I0 l7 E    下面开始编写我们的第一个VBA程序:让VBA在autocad的模型空间按我们指定的位置画一条直线。$ P! s6 [2 f+ N5 Y! S
    在编辑器的菜单栏点“插入”→“模块”,屏幕上出现了“模块1(代码)”窗口。在代码窗口的第一行是“Option Explicit”--如果你按我的建议在选项窗口选中了“要求变量声明”的话--在它的下面输入“sub A”,回车。窗口出现下面的代码:
( V% N6 j3 ?4 b  M! ]) _6 r( `9 `2 T7 i( Y0 e. k% ]" u0 _
Sub A()
7 s$ [% X7 `; W' V5 M% r" Q5 h
, y% D6 v: E" J6 n3 j) C, qEnd Sub
) O0 |* V, b: I  @' @, I0 z- v0 W7 Y1 r+ Z
    “A”是这个宏的名字。你可以按自己的喜好随便给它取个什么名字,但必须是唯一的,因为它是这段程序的标志。取名字时最好不要用汉字,因为autocad的命令行不支持汉字参数,如果用了汉字,每次运行这段程序的时候就必须使用“宏”对话框,而不能使用命令行。  O4 I3 [; b* C: {  s8 ]
    在两行代码中间的空行键入“thisdrawing.”,屏幕上会出现一个提示窗口--后面的代码可以在这里面选择,而不是所有文本都靠键盘输入--继续键入“m”,提示窗口高亮显示的是“ModelSpace”--我们要的就是它。继续键入“.”,“ModelSpace.”自动进入了代码行,并且出现了一个新的提示窗口;继续键入“addlin”,提示窗口高亮显示的是“AddLine”,键入空格,它就自动上去了,而屏幕上又出现了一个提示行“AddLine(startpoint,endpoint)as acadline”,其中“startpoint”用粗体显示,这是在提示我们给出直线的起点。继续按下面的顺序键入字符“thisdrawing.ut.getp,thisdrawing.ut.getp”--VBA会像前面一样把我们的代码补全--再敲一下空格,整段代码就是现在这个样子:% G& O* D0 I2 p) f4 r, L5 a- Y
2 ]# Q6 h, T$ \, C( }
Sub A(): r6 X# j5 ]( h" G! o4 }9 q, Y- D
    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint
7 y7 S4 J' A8 O# d
End Sub
$ w2 h& A: d5 X6 {& Q0 c. M
% {6 p, k& O4 O
    这行代码中,“ThisDrawing.ModelSpace.AddLine”的意思是:在“当前文档”的“模型空间”“画直线”。这个画直线方法需要两个必不可少的参数,一个是起点三维坐标,另一个是端点三维坐标。在这行里,起、端点的坐标是由后面两部分代码提供的--“ThisDrawing.Utility.GetPoint”的意思是:在“当前文档”上“由用户输入”而“得到点坐标”。
* ~# ]% ^  t0 e  l- O/ N' p    我们的第一个宏已经完成了,现在回到autocad窗口运行一下:
& n2 d* z9 o# y3 ~    在命令行键入“-vbarun”,回车,再键入"a",回车。光标已经变成了十字线,autocad在等着我们指定点。在屏幕上不同的位置点两下(也可以在命令行输入坐标),一条直线就画好了。
  g) Z& Y; ~* `9 `5 x, Q    我们的第一个程序编写成功。- I8 e' ]) K% }) }" I" s( g/ |
    不过别高兴得太早,这段程序有个BUG:再运行一次程序,指定第一个点后别指定第二个点,而是按“Esc”键,会跳出来一个窗口告诉我们程序有错误。
% ]% p) }$ p1 }& G' c    按“结束”关闭这个窗口,回到VBA编辑器,在程序中添加两行代码,让它变成现在这个样子。
% f( g# K3 A- A: y
* k! o9 j8 A) CSub A()- g: ~& Q, b. A1 S# ?
On Error GoTo 10
7 g3 w. i* x0 {! X
    ThisDrawing.ModelSpace.AddLine ThisDrawing.Utility.GetPoint, ThisDrawing.Utility.GetPoint" n0 D4 Z9 W; p0 V
103 m) {2 |4 ~4 A7 E) X1 M
End Sub1 E+ m% E. J+ D1 i' M, A* W
  _4 j9 q. r2 f6 w2 A. D8 U
    这两行新增的代码告诉计算机“在出错时”“转向执行”“行号为10”的程序行。这个程序里“行号为10”的程序行是空行,程序就会继续向下执行“End Sub”结束程序。
/ M2 \% P# i2 R" d, y    再来告诉朋友们一个小技巧。刚才在键入代码时要键入三次“thisdrawing”,太麻烦了。现在把中间这行画直线的程序删掉,在原位置按照下面的方法重新输入:
. B' Y/ w5 V8 n! l8 f( P    键入“with thisdrawing”,两次回车,键入“end with”。在中间的空行按下面的顺序键入“.m.addlin .ut.getp,.ut.getp”,空格。代码现在是这个样子:
- g  e# e* k9 C4 a  S, W. C1 j
Sub A(); h# v8 J  v% u7 f$ g
On Error GoTo 10
( f3 V& h5 \# m& o' ~& I. {+ ?    With ThisDrawing& A) B/ s* B7 d9 j$ S& F7 o0 C- S
        .ModelSpace.AddLine .Utility.GetPoint, .Utility.GetPoint
/ }/ T9 z# R9 j0 P1 o2 m    End With

' T5 T1 g' {( e6 O9 ^$ _105 a# K- o3 V. t  S5 U; j7 f2 M
End Sub
! F# {. K  D8 }& O. C+ H8 Q: Q8 X* U" l0 {# e! o. e) F1 G; |4 P
    在“With”和“End With”两行之间的所有代码可以省掉“ThisDrawing”,键入的工作量减少了很多。
) w/ W- q7 P" t$ e    程序是能用了,但还不够完美。比如说:指定第二个点时看不到第一个点在哪里;命令行里没有提示,不知道下一步要做什么。1 X' D  r1 z& i9 J
    现在来改进一下程序,让它在指定第二个点时从第一个点处引出一条线,像autocad画线时一样,还要在命令行加上提示内容。
) F0 a0 s. N+ i& n( C. j" ]    在上面的程序里,两个点的位置只有画线命令知道,我们并不知道。如果要在程序中不止一次使用这个点的坐标,就必须把这个坐标放到一个地方存放起来,用到的时候就去取。
; B9 u! v) I; o+ h8 T& B8 ^& H    在上面的程序中补充、修改一些代码,让它变成这个样子:
- _) v, W/ d3 p& {3 ?2 Q+ n' h& l2 V3 c) {3 O
Sub A()
1 G! Y* }! o2 N" [1 [3 iOn Error GoTo 10
' |/ x9 q* ?0 N, z$ n; f$ b    Dim B As Variant
4 L7 {. w5 c# r    With ThisDrawing" [& ~, o- a* |" H
        B = .Utility.GetPoint(, vbCrLf & "指定起点:")/ b9 i. Y) ~. \9 R# y: [/ t% Q
        .ModelSpace.AddLine B, .Utility.GetPoint(B, vbCrLf & "指定端点:")  R8 u) `/ i" T+ C) F: ~8 Q/ x" U
    End With6 q& W. g8 v/ l; B5 S% p% r
10
! ~' N( R1 Y/ I5 h5 c1 c' D! sEnd Sub' l* j' f! |" b# e6 W' n" c9 q

! m# N) Q/ g. n" P3 N    新增加的第三行意思是:定义一个“变体”类型(相当于万能)变量,名字叫“B”--其实这就是一个存放数据的地址。
# o, G1 I6 N0 j! X3 k: a    第五行的意思是把“当前文档”上“由用户输入”而“得到点的三维坐标”存放到“B”。有一个变化,就是“GetPoint”(得到点坐标)的后面增加了一对括号,里面是参数。该方法共有两个参数:第一个参数是一个三维坐标,第二个参数是命令行提示符。两个参数都是可省略的,在前面的程序中这两个参数就被省略了。
. T- o1 k' X) V1 q% E+ A    第六行中,画直线方法的起点坐标直接用“B”,端点坐标还是使用得到点坐标方法,和前面不同的是得到点坐标方法的第一个参数被指定为“B”,它的作用是在“B”点和十字光标间显示一条提示性的直线。& }& b2 C+ X3 N) O
    字符串要用""括起来,让计算机知道这是一串字符而不是别的东西。字符串前面的“vbCrLf &”是这个字符串的另一部分。其中“vbCrLf”是一个VB常数,相当于“回车+换行”;“&”是连接符,用来把两个部分连接起来(也可以用“+”号)。提示符中有了“vbCrLf &”,该字符串就会在命令行中以单独的一行出现;如果把它去掉,提示符就会和“命令:”在同一行里显示。5 k" _2 d2 h# T/ I/ M. X
    在这段程序里,我们用到了错误陷阱、定义变量、赋值语句、操作autocad对象画直线的方法和一个VB常数。下面再把这个程序扩展一下,学习更多的VB语句和对象操作方法。# g" T) b1 g; N) j9 h
    按用户的指令决定是否画一个圆,这个圆以刚才画的直线中点为圆心、以直线长度为直径。
& g3 b# Y6 J3 y    下面是修改后的代码:
0 a$ h- z" G6 C: u8 k8 ~& q) v6 Y" d4 D
Sub A()
4 H: @; ?$ E9 k6 n/ @On Error GoTo 10& }( u" ?1 k6 p* e) G% b& W6 W7 Q& B
    Dim B As Variant '定义一个变体类型变量,用于存放直线起点坐标,被赋值后变为数组" Y, b- D7 h6 V" W5 c9 E; h
    Dim C As AcadLine '定义一个Acad直线对象类型变量,用于存放直线对象
: L8 {* h& h5 X; b- L    Dim D As Variant '定义一个变体类型变量,用于存放直线端点坐标,被赋值后变为数组
/ L+ F0 `3 C5 x% ]6 v    Dim E As String '定义一个字符串类型变量,用于接收用户键盘输入的参数
7 \: K  g' X' d+ t% Q3 A7 p    Dim F(2) As Double '定义一个双精度类型数组,用于存放圆心三维坐标( F- |/ }4 e0 S1 _6 e) R
    Dim R As Double '定义一个双精度类型变量,用于存放圆的半径
4 n8 X5 Q- i7 L   
# c4 C* L7 J3 ^: N0 Y$ f4 P    With ThisDrawing6 T3 Z, `; s+ y; z# {
        B = .Utility.GetPoint(, vbCrLf + "指定起点:") '由用户指定一个点的位置,将坐标赋值给B
0 V8 C& n' c" |; [4 y3 j% f# d        Set C = .ModelSpace.AddLine(B, .Utility.GetPoint(B, vbCrLf + "指定端点:")) '从上一个点出发,由用户指定另一个点的位置,在两点间画一条直线,将此直线赋值给C  E" S$ U! b5 D" q0 ?
        D = C.EndPoint '将直线C的端点坐标赋值给D
2 F1 |9 q9 K% W8 G9 W7 P! o0 i
        .Utility.InitializeUserInput 0, "Y N" '规定用户输入Y或N关键字,可以接受直接按回车键或空格键做为默认输入( a6 N, m6 N: V/ @' `
        E = .Utility.GetKeyword(vbCrLf & "是否画圆[是(Y)/否(N)]<Y>:") '得到用户输入的关键字并赋值给E. q2 a7 X1 t+ i* ]
        If E = "Y" Or E = "" Then '如果用户输入的是Y或直接按的回车或空格,则执行下面画圆的代码,否则跳过下面五行代码
# Y& {$ ^" ~3 x2 D  E; [7 v
            F(0) = (B(0) + D(0)) / 2 '这三行是计算圆心即直线中点坐标,取直线起点X坐标和端点X坐标的平均值赋值给圆心的X坐标变量3 K  }5 v; q3 b
            F(1) = (B(1) + D(1)) / 2 '取直线起点Y坐标和端点Y坐标的平均值赋值给圆心的Y坐标变量0 L( B7 F* }# P; A' E* |
            F(2) = (B(2) + D(2)) / 2 '取直线起点Z坐标和端点Z坐标的平均值赋值给圆心的Z坐标变量, F8 _1 o% n; n8 U( T2 i0 ?" T8 R
            R = Sqr((D(0) - B(0)) ^ 2 + (D(1) - B(1)) ^ 2 + (D(2) - B(2)) ^ 2) / 2 '用勾股定理计算圆的半径
& ?# {' e8 u3 Z- h0 S) m            .ModelSpace.AddCircle F, R '在当前文档的模型空间画圆,以F为圆心,R为半径# ~2 Z" l0 q0 F: V! p
        End If
0 ]7 V' o6 n2 Y$ v, h
    End With1 m6 W# Z" F/ l
10
$ M+ }& W! t' c' w6 O) G% b, I4 jEnd Sub
; \3 U9 ]8 q' _: Y4 ?3 G+ T6 C8 Y1 I1 g
    这段程序和前面程序的主要区别有:6 T5 S8 F9 Y2 B& C7 n% s
1、使用了注释语句。单引号后面的文字在程序运行时不被执行,仅起到对编程者的提示作用。这在编制大一点的程序时是很有用的,否则过段时间你自己都会忘记当初是怎么编的了。
5 Q- Y" B7 h( l2、定义变量时,同样是三维坐标,B和D被定义为变体类型,F被定义为双精度数组。这是因为B和D是由方法或对象的属性直接用“点”赋值的,B和D得到数据后自动变为数组;F是由我们对三维坐标分别运算后赋值,只能用数组。
+ |6 `( K+ }& P! D6 [) T( Z) P3、“Set C =...."这行,对直线赋值时,参数用括号括起来了。在前面的程序中,直线只是画了出来,并没有赋值给某个变量(没有=号),参数就不能用括号;现在它被赋值给一个变量了,参数要括起来。这是语法。8 G4 R% x/ l% q; U
4、“InitializeUserInput”方法有两个参数,第二个参数是关键字列表;第一个参数是对输入方式的限制,这里用了0,可以接受直接按回车键或空格键做为默认输入,但默认输入的是空字符串,而不是关键字列表中的一个。
& @* B# ?3 t# [! c" G5 N1 i5、“If...Then...End If”使用了条件转移语句。具体用法可以参见VB资料。
6 ]4 Q1 Q) M" V0 a6 O9 Y6 i$ L    弄懂了这段程序,其实你对VBA已经初窥门径了。当然,VB语法和autocad对象远不止这些,但也都大同小异,学会了这些,再学其它的就容易了,就像我们学会了WORD,再学EXCEL就很容易一样。不要被VBA帮助文件那浩如烟海的资料所吓倒,其实那里面绝大部分东西用法都差不多。学会了基本的几个,再浏览一下帮助文件,知道这里面都有什么东西,用到的时候现查都来得及。( S, p9 Z" E4 J. B
    上传一个《Visual Basic 语言参考-函数速查》,希望对学习VBA的朋友有用。
, L% _$ R+ b" m  j* x* p0 ~8 |- B/ {8 j9 v! g
[ 本帖最后由 woaishuijia 于 2007-1-14 16:17 编辑 ]

Visual Basic 语言参考-函数速查.rar

498.79 KB, 下载次数: 1237

评分

参与人数 1三维币 +10 收起 理由
★新手★ + 10 技术分享!奖!

查看全部评分

发表于 2007-1-14 21:54:37 | 显示全部楼层

楼主真是历害

偶也CAD几年了啊,对这是一巧不通啊,真是惭愧啊,楼主能指点下吗?万分感谢啊
发表于 2007-2-1 17:43:03 | 显示全部楼层
非常感谢,学习学习,想完了做几个程序试试
发表于 2007-2-2 19:14:28 | 显示全部楼层
我的宏里怎么一片空白啊  没有Visual Basic 编辑器
 楼主| 发表于 2007-2-3 06:32:18 | 显示全部楼层

回复 #14 shaoshuai968 的帖子

可能安装autocad时用的是“简单”模式,没有选择安装VBA编辑器吧?用安装盘添加试试。
发表于 2007-2-6 17:57:13 | 显示全部楼层

試著用VB.NET來二次開發吧!

真的!速度會讓你感動。
发表于 2007-2-15 10:02:52 | 显示全部楼层
看来论坛里面是强手如云啊,以前我还自认为自己的水准还可以的,现在看来差远了!!
发表于 2007-2-20 03:13:17 | 显示全部楼层
能不能开辟一个二次开发的专栏?
发表于 2007-2-20 10:29:15 | 显示全部楼层
楼主真是有心,深入浅出地引导大家对VBA和LISP的兴趣,不久,我们坛子一定会出现好多高手了,这样也就能提高我们的工作效率,远一点地说就能提高我们国民的水平。多有楼主这样的人,我们国家早晚都会成为世界的强国。0 i0 b2 ~. |* M( _; R* a1 g
发表于 2007-7-15 15:16:34 | 显示全部楼层
vba对我来说实在是很难,难的是不知道从哪里下手啊?, [! a& j3 m; P' `2 u3 [
请高手指点~
发表于 2007-7-17 21:11:18 | 显示全部楼层
由简到难嘛
发表于 2007-7-18 08:49:53 | 显示全部楼层
嘿嘿,偶也正在学习.如果开一个二次开发的子板块就好了.
发表于 2007-7-18 08:59:45 | 显示全部楼层
为什么我打开以后插入菜单下为灰色,不能使用呢?
11.jpg
发表于 2007-7-18 15:40:08 | 显示全部楼层

题目不错,我看不简单.

题目不错,我看不简单.要达到实际应用更不简单!
: l, G/ R, }2 ^
2 i+ B) D3 E4 ^! P而软件开发更注重的应该是实际应用!
发表于 2007-7-21 13:20:29 | 显示全部楼层
嘻嘻哈哈,现在是.NET的时代了,VB,C++都已经升级了,VISUAL STUDIO 的开发环境是非常棒的
发表回复
您需要登录后才可以回帖 登录 | 注册

本版积分规则

Licensed Copyright © 2016-2020 http://www.3dportal.cn/ All Rights Reserved 京 ICP备13008828号

小黑屋|手机版|Archiver|三维网 ( 京ICP备13008828号-1 )

快速回复 返回顶部 返回列表